Package com.fasterxml.jackson.core.util

# Class JsonRecyclerPools.ThreadLocalPool

java.lang.Object
com.fasterxml.jackson.core.util.RecyclerPool.ThreadLocalPoolBase<BufferRecycler>
com.fasterxml.jackson.core.util.JsonRecyclerPools.ThreadLocalPool

All Implemented Interfaces:
  `RecyclerPool<BufferRecycler>`, `Serializable`

Enclosing class:
  JsonRecyclerPools

public static class JsonRecyclerPools.ThreadLocalPool extends RecyclerPool.ThreadLocalPoolBase<BufferRecycler>
`ThreadLocal`-based `RecyclerPool` implementation used for recycling `BufferRecycler` instances: see `RecyclerPool.ThreadLocalPoolBase` for full explanation of functioning.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface com.fasterxml.jackson.core.util.RecyclerPool

`RecyclerPool.BoundedPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.ConcurrentDequePoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.LockFreePoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.NonRecyclingPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.StatefulImplBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.ThreadLocalPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.WithPool<P extends RecyclerPool.WithPool<P>>`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final JsonRecyclerPools.ThreadLocalPool`
`GLOBAL`

## Method Summary

Modifier and Type
Method
Description
`BufferRecycler`
`acquirePooled()`
Method for sub-classes to implement for actual acquire logic; called by `RecyclerPool.acquireAndLinkPooled()`.
`protected Object`
`readResolve()`

### Methods inherited from class com.fasterxml.jackson.core.util.RecyclerPool.ThreadLocalPoolBase

`acquireAndLinkPooled, releasePooled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GLOBAL

protected static final JsonRecyclerPools.ThreadLocalPool GLOBAL

## Method Details

### acquirePooled

public BufferRecycler acquirePooled()
Description copied from interface: `RecyclerPool`
Method for sub-classes to implement for actual acquire logic; called by `RecyclerPool.acquireAndLinkPooled()`.

Specified by:
  `acquirePooled` in interface `RecyclerPool<BufferRecycler>`
Specified by:
  `acquirePooled` in class `RecyclerPool.ThreadLocalPoolBase<BufferRecycler>`
Returns:
  Instance acquired (pooled or just constructed)

### readResolve

protected Object readResolve()